curl --request GET \
--url https://api.hubapi.com/cms/v3/pages/landing-pages \
--header 'Authorization: Bearer <token>'{
"results": [
{
"abStatus": "automated_loser_variant",
"abTestId": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"archivedInDashboard": true,
"attachedStylesheets": [
{}
],
"authorName": "<string>",
"campaign": "<string>",
"categoryId": 123,
"contentGroupId": "<string>",
"contentTypeCategory": "0",
"created": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"currentState": "AGENT_GENERATED",
"currentlyPublished": true,
"domain": "<string>",
"dynamicPageDataSourceId": "<string>",
"dynamicPageDataSourceType": 123,
"dynamicPageHubDbTableId": "<string>",
"enableDomainStylesheets": true,
"enableLayoutStylesheets": true,
"featuredImage": "<string>",
"featuredImageAltText": "<string>",
"folderId": "<string>",
"footerHtml": "<string>",
"headHtml": "<string>",
"htmlTitle": "<string>",
"id": "<string>",
"includeDefaultCustomCss": true,
"language": "aa",
"layoutSections": {},
"linkRelCanonicalUrl": "<string>",
"mabExperimentId": "<string>",
"metaDescription": "<string>",
"name": "<string>",
"pageExpiryDate": 123,
"pageExpiryEnabled": true,
"pageExpiryRedirectId": 123,
"pageExpiryRedirectUrl": "<string>",
"pageRedirected": true,
"password": "<string>",
"publicAccessRules": [
{}
],
"publicAccessRulesEnabled": true,
"publishDate": "2023-11-07T05:31:56Z",
"publishImmediately": true,
"slug": "<string>",
"state": "<string>",
"subcategory": "<string>",
"templatePath": "<string>",
"themeSettingsValues": {},
"translatedFromId": "<string>",
"translations": {},
"updated": "2023-11-07T05:31:56Z",
"updatedById": "<string>",
"url": "<string>",
"useFeaturedImage": true,
"widgetContainers": {},
"widgets": {}
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}Rufen Sie die Liste der Landingpages ab. Paginierung und Filterung werden unterstützt. Diese Methode eignet sich für Integrationen, die diese Modelle untersucht haben und einen externen Dienst verwenden, um Bearbeitungen vorzuschlagen.
curl --request GET \
--url https://api.hubapi.com/cms/v3/pages/landing-pages \
--header 'Authorization: Bearer <token>'{
"results": [
{
"abStatus": "automated_loser_variant",
"abTestId": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"archivedInDashboard": true,
"attachedStylesheets": [
{}
],
"authorName": "<string>",
"campaign": "<string>",
"categoryId": 123,
"contentGroupId": "<string>",
"contentTypeCategory": "0",
"created": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"currentState": "AGENT_GENERATED",
"currentlyPublished": true,
"domain": "<string>",
"dynamicPageDataSourceId": "<string>",
"dynamicPageDataSourceType": 123,
"dynamicPageHubDbTableId": "<string>",
"enableDomainStylesheets": true,
"enableLayoutStylesheets": true,
"featuredImage": "<string>",
"featuredImageAltText": "<string>",
"folderId": "<string>",
"footerHtml": "<string>",
"headHtml": "<string>",
"htmlTitle": "<string>",
"id": "<string>",
"includeDefaultCustomCss": true,
"language": "aa",
"layoutSections": {},
"linkRelCanonicalUrl": "<string>",
"mabExperimentId": "<string>",
"metaDescription": "<string>",
"name": "<string>",
"pageExpiryDate": 123,
"pageExpiryEnabled": true,
"pageExpiryRedirectId": 123,
"pageExpiryRedirectUrl": "<string>",
"pageRedirected": true,
"password": "<string>",
"publicAccessRules": [
{}
],
"publicAccessRulesEnabled": true,
"publishDate": "2023-11-07T05:31:56Z",
"publishImmediately": true,
"slug": "<string>",
"state": "<string>",
"subcategory": "<string>",
"templatePath": "<string>",
"themeSettingsValues": {},
"translatedFromId": "<string>",
"translations": {},
"updated": "2023-11-07T05:31:56Z",
"updatedById": "<string>",
"url": "<string>",
"useFeaturedImage": true,
"widgetContainers": {},
"widgets": {}
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}Unterstützte Produkte
Erforderliche Bereiche
The access token received from the authorization server in the OAuth 2.0 flow.
Das Paginierungscursor-Token der zuletzt erfolgreich gelesenen Ressource wird als „paging.next.after“-JSON-Eigenschaft einer paginierten Antwort mit weiteren Ergebnissen zurückgegeben.
Ob nur Ergebnisse zurückgegeben werden sollen, die archiviert wurden.
Die maximale Anzahl der Ergebnisse, die pro Seite angezeigt werden.